﻿@model RailwayCashBox.Models.TrainRouteCreateDetails

@{
    ViewBag.Title = "Опции создания маршрута";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@using (Html.BeginForm("CreateDetails", "TrainRoute", null, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)

    <fieldset>
        <legend>@ViewBag.Title</legend>

        <div class="form-group">
            @Html.LabelFor(m => m.NumberOfIntermediateStations, new {@class = "col-md-4 control-label"})
            <div class="col-md-6">
                @Html.TextBoxFor(m => m.NumberOfIntermediateStations, new {@class = "form-control"})
                @Html.ValidationMessageFor(model => model.NumberOfIntermediateStations)
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(m => m.NumberOfCars, new {@class = "col-md-4 control-label"})
            <div class="col-md-6">
                @Html.TextBoxFor(m => m.NumberOfCars, new {@class = "form-control"})
                @Html.ValidationMessageFor(model => model.NumberOfCars)
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-4 col-md-6">
                <input type="submit" value="Создать..." class="btn btn-default"/>
            </div>
        </div>
    </fieldset>
}

<div>
    @Html.ActionLink("Вернуться", "Index")
</div>
